Save a template's profile
PUT
/cms/print/v2/templates/{id}/profile
const url = 'https://api.example.com/cms/print/v2/templates/1/profile';const options = { method: 'PUT', headers: { 'API-Key': '<API-Key>', 'Token-User': '<Token-User>', 'Content-Type': 'application/json' }, body: '{"file":"example","profile":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.example.com/cms/print/v2/templates/1/profile \ --header 'API-Key: <API-Key>' \ --header 'Content-Type: application/json' \ --header 'Token-User: <Token-User>' \ --data '{ "file": "example", "profile": {} }'The slots the extension read from the template file. file must be the template’s current file (409 STALE otherwise).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
file
required
string
profile
required
object
Example generated
{ "file": "example", "profile": {}}Responses
Section titled “Responses”Saved
The template file changed